Subject: Re: request sample makefile for g77
From: Georg Fusz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 22 Feb 2001 17:10:26 +0000

Here are 2 Makefiles and an include file.

If you need more help please let me know it.

"Charles D. Russell" wrote:
> 
> I would greatly appreciate a sample makefile for a g77 project that includes
> a static link library, along with any environment variables that must be
> changed from their default values.  I can't get make to pay attention to my
> FFLAGS, and will probably have more problems before I have a working
> makefile, so that having an example would save me a lot of fooling around.
> If this is an inappropriate request for this group, please let me know.  I'm
> sending from hotmail, since there were complaints about the format from our
> institutional mail handler after my last message.  (Which is Groupwise;
> administrators like it because they can see if we are opening the mail they
> send us.)
> _________________________________________________________________
> Get your FREE download of MSN Explorer at http://explorer.msn.com
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Georg Fusz
Technische Universitaet Berlin, Germany

Fon:
Uni.: +49 30 314 26 884
privat: +49 30 815 30 32
Handy: +49 173 20 10 696

Homepage: http://www.cadlab.tu-berlin.de/~fusz/

# $Id: Makefile,v 3.1 2001/02/15 19:40:45 fusz Exp fusz $

VPATH = ..

include ../GnuF.mak

prog_name = ../AP_IsoLine.exe

all: $(prog_name)

objects = \
hb_build_curves.o \
hb_color.o \
hb_color_rb.o \
hb_curveratureH.o \
hb_edge_curves.o \
hb_init.o \
hb_init_aps.o \
hb_init_plot.o \
hb_iso_lines.o \
hb_main.o \
hp_plot_curves.o \
hb_plot_intersection.o \
hb_plot_many_int.o \
hb_plot_single_cuts.o 

$(prog_name) : $(objects) $(makefiles) $(libraries)
	g77 -g -o $@ $(objects) $(libraries)

include $(objects:.o=.d)	

# $Id: Makefile,v 2.1 2000/09/20 13:47:26 fusz Exp $

lib_name = libsurfCone.a

include ../GnuF.mak

all: $(lib_name)

objects = \
lo_cone_def.o \
lo_cone_init.o \
lo_cone_main.o 

$(lib_name): $(objects) $(makefiles)
	ar -r $(lib_name) $(objects)

include $(objects:.o=.d)	

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple